<Project Sdk="Microsoft.NET.Sdk.Worker">

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UserSecretsId>dotnet-PARR.Test-4ed55577-3528-48f9-99c8-33eb108a33bb</UserSecretsId>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Elastic.CommonSchema.Serilog" Version="8.6.1" />
    <PackageReference Include="Microsoft.Extensions.Hosting" Version="7.0.1" />
    <PackageReference Include="Serilog.Extensions.Hosting" Version="7.0.0" />
    <PackageReference Include="Serilog.Settings.Configuration" Version="7.0.1" />
    <PackageReference Include="Serilog.Sinks.Console" Version="4.1.0" />
    <PackageReference Include="Serilog.Sinks.File" Version="5.0.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\PARR.Core\PARR.Core.csproj" />
    <ProjectReference Include="..\PARR.DAL\PARR.DAL.csproj" />
    <ProjectReference Include="..\PARR.Domain\PARR.Domain.csproj" />
    <ProjectReference Include="..\PARR.EsppApi\PARR.EsppApi.csproj" />
    <ProjectReference Include="..\PARR.Infrastructure\PARR.Infrastructure.csproj" />
    <ProjectReference Include="..\PARR.TemplateDistributor\PARR.TemplateDistributor.csproj" />
  </ItemGroup>
</Project>
